/* Displays power management and status information */
strComputer = "."
objWMIService = GetObject("winmgmts:\\" || strComputer || "\root\CIMV2")
colItems = objWMIService~ExecQuery("SELECT * FROM Win32_ComputerSystem")
DO objItem OVER colItems
	IF objItem~PowerManagementCapabilities \== "" THEN SAY objItem~PowerManagementCapabilities
	SAY "PowerManagementSupported:" objItem~PowerManagementSupported
	SELECT objItem~PowerState
		WHEN 1 THEN strPowerState = "Full Power"
		WHEN 2 THEN strPowerState = "Power Save - Low Power Mode"
		WHEN 3 THEN strPowerState = "Power Save - Standby"
		WHEN 4 THEN strPowerState = "Power Save - Unknown"
		WHEN 5 THEN strPowerState = "Power Cycle"
		WHEN 6 THEN strPowerState = "Power Off"
		WHEN 7 THEN strPowerState = "Power Save - Warning"
		OTHERWISE strPowerState = "Unknown"
	END
	SAY "PowerState:" strPowerState
	SELECT objItem~PowerSupplyState
		WHEN 1 THEN strPowerSupplyState = "Other"
		WHEN 3 THEN strPowerSupplyState = "Safe"
		WHEN 4 THEN strPowerSupplyState = "Warning"
		WHEN 5 THEN strPowerSupplyState = "Critical"
		WHEN 6 THEN strPowerSupplyState = "Non-recoverable"
		OTHERWISE strPowerSupplyState = "Unknown"
	END
	SAY "PowerSupplyState:" strPowerSupplyState
END