/* Returns information about the processors installed on a computer */
strComputer = "."
objWMIService = GetObject("winmgmts:{impersonationLevel=impersonate}!\\" || strComputer || "\root\cimv2")
colItems = objWMIService~ExecQuery("Select * from Win32_Processor")
DO objItem OVER colItems
	SAY "Address Width:" objItem~AddressWidth
	SAY "Architecture:" objItem~Architecture
	SAY "Availability:" objItem~Availability
	SAY "CPU Status:" objItem~CpuStatus
	SAY "Current Clock Speed:" objItem~CurrentClockSpeed
	SAY "Data Width:" objItem~DataWidth
	SAY "Description:" objItem~Description
	SAY "Device ID:" objItem~DeviceID
	SAY "External Clock:" objItem~ExtClock
	SAY "Family:" objItem~Family
	SAY "L2 Cache Size:" objItem~L2CacheSize
	SAY "L2 Cache Speed:" objItem~L2CacheSpeed
	SAY "Level:" objItem~Level
	SAY "Load Percentage:" objItem~LoadPercentage
	SAY "Manufacturer:" objItem~Manufacturer
	SAY "Maximum Clock Speed:" objItem~MaxClockSpeed
	SAY "Name:" objItem~Name
	SAY "PNP Device ID:" objItem~PNPDeviceID
	SAY "Processor ID:" objItem~ProcessorId
	SAY "Processor Type:" objItem~ProcessorType
	SAY "Revision:" objItem~Revision
	SAY "Role:" objItem~Role
	SAY "Socket Designation:" objItem~SocketDesignation
	SAY "Status Information:" objItem~StatusInfo
	SAY "Stepping:" objItem~Stepping
	SAY "Unique Id:" objItem~UniqueId
	SAY "Upgrade Method:" objItem~UpgradeMethod
	SAY "Version:" objItem~Version
	SAY "Voltage Caps:" objItem~VoltageCaps
	SAY
END