/* Identifies all the TCP/IP printer ports on a computer, and indicates which ports are being used and which ports are available */
objDictionary = CreateComObject("Scripting.Dictionary")

strComputer = "."
objWMIService = GetObject("winmgmts:{impersonationLevel=impersonate}!\\" || strComputer || "\root\cimv2")

colPrinters =  objWMIService~ExecQuery("Select * from Win32_Printer")

DO objPrinter OVER colPrinters 
    objDictionary~Add(objPrinter~PortName, objPrinter~PortName)
END

strUsedPorts = ""
strFreePorts = ""
colPorts = objWMIService~ExecQuery("Select * from Win32_TCPIPPrinterPort")
DO objPort OVER colPorts
    IF objDictionary~Exists(objPort.Name) = 1 THEN
        strUsedPorts = strUsedPorts objDictionary~Item(objPort.Name)
    ELSE
        strFreePorts = strFreePorts objPort~Name
END

SAY "The following ports are in use:" strUsedPorts
SAY "The following ports are available:" strFreePorts

