/* Displays information about the operating system and service pack installed on a computer. */
objWMIService = GetObject("winmgmts:{impersonationLevel=impersonate}!\\.\root\cimv2")
colOSes = objWMIService~ExecQuery("Select * from Win32_OperatingSystem")
DO objOS OVER colOSes
	SAY "Computer Name:" objOS~CSName
	SAY "Caption:" objOS~Caption
	SAY "Version: " objOS~Version
	SAY "Build Number:" objOS~BuildNumber
	SAY "Build Type:" objOS~BuildType
	SAY "OS Type:" objOS~OSType
	SAY "Other Type Description:" objOS~OtherTypeDescription
	SAY "Service Pack:" objOS~ServicePackMajorVersion || "." || objOS~ServicePackMinorVersion
END